{
    "$schema": "https://schemas.wp.org/trunk/theme.json",
	"version": 2,
	"settings": {
		"appearanceTools": true,
		"custom": {
			"lineHeight": {
				"none": 1,
				"tight": 1.1,
				"snug": 1.2,
				"normal": 1.5,
				"relaxed": 1.625,
				"loose": 2,
				"body": 1.618
			}
		},
		"layout": {
			"contentSize": "900px",
			"wideSize": "1190px"
		},
		"spacing": {
			"spacingSizes": [
				{
					"name": "Small",
					"size": "clamp(.25rem, 2.5vw, 0.75rem)",
					"slug": "small"
				},
				{
					"name": "Medium",
					"size": "clamp(1rem, 4vw, 1.5rem)",
					"slug": "medium"
				},
				{
					"name": "Large",
					"size": "clamp(1.25rem, 6vw, 3rem)",
					"slug": "large"
				},
				{
                    "name": "Extra Large",
                    "size": "clamp(3rem, 7vw, 5rem)",
                    "slug": "x-large"
                },
                {
                    "name": "2xl",
                    "size": "clamp(4rem, 9vw, 7rem)",
                    "slug": "xx-large"
                },
                {
                    "name": "3xl",
                    "size": "clamp(5rem, 12vw, 9rem)",
                    "slug": "xxx-large"
                },
                {
                    "name": "4xl",
                    "size": "clamp(6rem, 14vw, 13rem)",
                    "slug": "xxxx-large"
                }
			],
			"units": [
				"px",
				"em",
				"rem",
				"vh",
				"vw",
				"%"
			],
			"blockGap": true,
			"padding": true,
			"margin": true
		},
		"typography": {
			"dropCap": false,
			"fluid": true,
			"fontSizes": [
				{
					"fluid": {
					  "min": "0.7rem",
					  "max": "0.75rem"
					},
					"size": "0.75rem",
					"slug": "x-small",
					"name": "Extra Small"
				},
				{
					"fluid": {
					  "min": "0.8rem",
					  "max": "0.875rem"
					},
					"size": "0.875rem",
					"slug": "small",
					"name": "Small"
				},
				{
					"fluid": {
					  "min": "0.9375rem",
					  "max": "1.0625rem"
					},
					"size": "1rem",
					"slug": "base",
					"name": "Base"
				},
				{
					"fluid": {
					  "min": "1.125rem",
					  "max": "1.25rem"
					},
					"size": "1.2rem",
					"slug": "medium",
					"name": "Medium"
				},
				{
					"fluid": {
					  "min": "1.375rem",
					  "max": "1.6rem"
					},
					"size": "1.5rem",
					"slug": "large",
					"name": "Large"				  
				},
				{
					"fluid": {
					  "min": "1.625rem",
					  "max": "2rem"
					},
					"size": "1.875rem",
					"slug": "x-large",
					"name": "XL"
				},
				{
					"fluid": {
					  "min": "2rem",
					  "max": "2.5rem"
					},
					"size": "2.25rem",
					"slug": "xx-large",
					"name": "2XL"
				},
				{
					"fluid": {
					  "min": "2.5rem",
					  "max": "3.25rem"
					},
					"size": "3rem",
					"slug": "xxx-large",
					"name": "3XL"
				}
			],
			"lineHeight": true
		},
		"useRootPaddingAwareAlignments": true
	},
	"styles": {
		"elements": {
        "link": {
				"typography": {
					"textDecoration": "none"
				}
        	}
    	},
		"blocks": {
			"core/columns": {
				"spacing": {
					"margin": {
						"bottom": "0px"
					}
				}
			},
			"core/spacer": {
				"spacing": {
					"margin": {
						"top": "0 !important"
					}
				}
			}
		},
		"spacing": {
			"blockGap": "var(--wp--preset--spacing--medium)",
			"padding": {
				"top": "0",
				"right": "var(--wp--preset--spacing--medium)",
				"bottom": "0",
				"left": "var(--wp--preset--spacing--medium)"
			}
		},
		"typography": {
			"fontFamily": "var(--wp--preset--font-family--primary)"
		}
	}
}